// ---------------------------------------------------------------------------

#pragma hdrstop

#include "UTPCustomSeries.h"

// ---------------------------------------------------------------------------
#pragma package(smart_init)

static String tituloDefault;
static String corpoDefault;


TTPCustomSeries::TTPCustomSeries(TChart* chart) : TLineSeries(chart)
{
  this->OnMouseEnter = DoSeriesMouseEnter;
  this->OnMouseLeave = DoSeriesMouseLeave;
	ClickTolerance = 5;

	indexSelected_ = -10;
}


void TTPCustomSeries::AddPoint(TDateTime pDate, float Km)
{
	 this->SetColorEachPoint(true);
	 this->AddXY(pDate, Km, "", clBlue);
}





void __fastcall TTPCustomSeries::DoSeriesMouseEnter(System::TObject* Sender)
{
 indexSelected_ = Clicked(ParentChart->GetCursorPos());
}

void __fastcall TTPCustomSeries::DoSeriesMouseLeave(System::TObject* Sender)
{
 //

}

void __fastcall TTPCustomSeries::DrawValue(int ValueIndex)
{

	//the fifth item should start invisible but only after hovering in the series
	if (ValueIndex  == 5)
  {
		LinePen->Visible = false;
  }
  else
  {
    LinePen->Color = clBlue;
    LinePen->Width = 1;
    LinePen->Style = psDash;
    LinePen->Visible = true;
	}

	if (indexSelected_ == ValueIndex || indexSelected_+1 == ValueIndex )
  {
		Pointer->operator[](ValueIndex)->Visible = true;
		Pointer->operator[](ValueIndex)->Style = psCircle;
		Pointer->operator[](ValueIndex)->Size = 5.0;
		Pointer->Visible = true;

	}
	else
	{
		Pointer->operator[](ValueIndex)->Visible = false;

  }
  TLineSeries::DrawValue(ValueIndex);

}

